# Visualization
TKService
Image

# Image_LookupTable Class Reference

`#include <Image_LookupTable.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Image_LookupTable (const Standard_Integer NbBuckets=1)
Standard_EXPORT Image_LookupTable & | Assign (const Image_LookupTable &Other)
Image_LookupTable & | operator= (const Image_LookupTable &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Image_LookupTable ()
Standard_EXPORT Standard_Boolean | Bind (const Aspect_IndexPixel &K, const Aspect_IndexPixel &I)
Standard_EXPORT Standard_Boolean | IsBound (const Aspect_IndexPixel &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Aspect_IndexPixel &K)
Standard_EXPORT const Aspect_IndexPixel & | Find (const Aspect_IndexPixel &K) const
const Aspect_IndexPixel & | operator() (const Aspect_IndexPixel &K) const
Standard_EXPORT Aspect_IndexPixel & | ChangeFind (const Aspect_IndexPixel &K)
Aspect_IndexPixel & | operator() (const Aspect_IndexPixel &K)

## Private Member Functions

Standard_EXPORT | Image_LookupTable (const Image_LookupTable &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Image_LookupTable::Image_LookupTable | ( | const Standard_Integer | NbBuckets = `1` | ) |

Image_LookupTable::~Image_LookupTable | ( |  | ) | `[inline]`

Standard_EXPORT Image_LookupTable::Image_LookupTable | ( | const Image_LookupTable & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Image_LookupTable& Image_LookupTable::Assign | ( | const Image_LookupTable & | Other | ) |

Standard_EXPORT Standard_Boolean Image_LookupTable::Bind | ( | const Aspect_IndexPixel & | K,
|  | const Aspect_IndexPixel & | I
| ) |

Standard_EXPORT Aspect_IndexPixel& Image_LookupTable::ChangeFind | ( | const Aspect_IndexPixel & | K | ) |

Standard_EXPORT void Image_LookupTable::Clear | ( |  | ) |

Standard_EXPORT const Aspect_IndexPixel& Image_LookupTable::Find | ( | const Aspect_IndexPixel & | K | ) | const

Standard_EXPORT Standard_Boolean Image_LookupTable::IsBound | ( | const Aspect_IndexPixel & | K | ) | const

void Image_LookupTable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Image_LookupTable::operator new | ( | size_t | size | ) | `[inline]`

void* Image_LookupTable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Aspect_IndexPixel& Image_LookupTable::operator() | ( | const Aspect_IndexPixel & | K | ) | `[inline]`

const Aspect_IndexPixel& Image_LookupTable::operator() | ( | const Aspect_IndexPixel & | K | ) | const`[inline]`

Image_LookupTable& Image_LookupTable::operator= | ( | const Image_LookupTable & | Other | ) | `[inline]`

Standard_EXPORT void Image_LookupTable::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean Image_LookupTable::UnBind | ( | const Aspect_IndexPixel & | K | ) |

The documentation for this class was generated from the following file:

- Image_LookupTable.hxx